Jump to content


Photo

Php5 E Apache2 Não Funcionam Juntos


  • Faça o login para participar
31 replies to this topic

#1 ormenese

ormenese

    Novato no fórum

  • Usuários
  • 9 posts
  • Sexo:Não informado

Posted 04/05/2006, 17:26

Pessoal,
preciso colocar em prática um curso de PHP que acabei de fazer :D , para isso instalei em minha máquina, um W2000 pro, o apache 2.2 e PHP5.
Segui todas as dicas para configuração dos arquivos http.conf e php.ini, mas meu apache não starta (n) .
Obtenho a seguinte mensagem de erro : Cannot load E:/PHP5/php5apache2.dll
Só que o arquivo existe e eu tenho full control sobre ele.
Este erro ocorre qdo e executada a seguinte linha do http.conf :
LoadModule php5_module "E:\PHP5\php5apache2.dll"

O que pode ser ???

Obrigado
André

#2 Inu

Inu

    Veterano

  • Usuários
  • 1138 posts
  • Sexo:Masculino
  • Localidade:Canela, Rio Grande do Sul, Brasil

Posted 04/05/2006, 17:35

a pasta, é PHP5 ou php5 ?
e o arquivo está dentro da pasta php5?

#3 ormenese

ormenese

    Novato no fórum

  • Usuários
  • 9 posts
  • Sexo:Não informado

Posted 04/05/2006, 17:41

A pasta é PHP5 ( maiúsculo ) e o arquivo está lá.
Eu tenho permissão de administrador na máquina, portanto tenho total acesso ao arquivo.

a pasta, é PHP5 ou php5 ?
e o arquivo está dentro da pasta php5?



#4 Erwin

Erwin
  • Visitantes

Posted 06/05/2006, 00:00

Estou com o msm problema se conseguir resolver me avisa por favor
meu e-mail eh: ewn007@hotmail.com
Obrigado

#5 maurocruz

maurocruz

    Novato no fórum

  • Usuários
  • 19 posts
  • Sexo:Masculino
  • Localidade:Pirenopolis

Posted 08/05/2006, 17:59

Também tive este problema e resolvi instalando a versão anterior do Apache, o Apache 2.0.58
Visite Pirenópolis
www.pirenopolis.tur.br - O Portal de Turismo de Pirenópolis
Comida típica goiana é no www.arrozcompequi.com.br

#6 ormenese

ormenese

    Novato no fórum

  • Usuários
  • 9 posts
  • Sexo:Não informado

Posted 09/05/2006, 11:14

Também tive este problema e resolvi instalando a versão anterior do Apache, o Apache 2.0.58


Mauro,
vc poderia me passar as configuraçãoes que vc fez para funcionar ??
Qual a estrutura de diretórios que vc usou para o Apache2.0.58 e o Php5 ?
Como vc referenciou o modulo do php5 no http.conf ?
Onde vc deixou as dll´s do php5 ?
Vc criou alguma variável de ambiente no windows?
Vc colocou algum diretório no path ?

Desculpe pelo monte de perguntas, mas já tentei um monte de configuração e não resolveu.
Preciso desenvolver um sistema em php e não consigo criar o ambiente de desenvolvimento na minha máquina.

Obrigado
André

#7 Paulo Freitas

Paulo Freitas

    ××××××× LRU #456504 ××××××× ××××××× LRM #364686 ×××××××

  • Ex-Admins
  • 5612 posts
  • Sexo:Masculino
  • Localidade:Campinas - SP

Posted 09/05/2006, 15:18

Opa ... ;)

Hmm ... à princípio, parece que o problema está na linha LoadModule que carrega o módulo do PHP. Tu usou backslashes (barras invertidas), onde deveria ser (pelo menos até onde sei) apenas slashes (barras).

Aqui trabalho com o Apache 2.2.2 com o PHP 5.1.4 sem problemas. :rolleyes:

A linha do httpd.conf que carrega o PHP é essa:

LoadModule php5_module "C:/Documents and Settings/Paulo Freitas/Desktop/Intranet/PHP/php5apache2.dll"

Depois eu indico a localização do php.ini no final do arquivo:

<IfModule php5_module>
	PHPIniDir "C:/Documents and Settings/Paulo Freitas/Desktop/Intranet/PHP"
</IfModule>
Espero que tenha lhe ajudado em algo. :rolleyes:

[]’s :DAté mais

#8 ormenese

ormenese

    Novato no fórum

  • Usuários
  • 9 posts
  • Sexo:Não informado

Posted 09/05/2006, 18:12

Opa ... ;)

Hmm ... à princípio, parece que o problema está na linha LoadModule que carrega o módulo do PHP. Tu usou backslashes (barras invertidas), onde deveria ser (pelo menos até onde sei) apenas slashes (barras).

Aqui trabalho com o Apache 2.2.2 com o PHP 5.1.4 sem problemas. :rolleyes:

A linha do httpd.conf que carrega o PHP é essa:

LoadModule php5_module "C:/Documents and Settings/Paulo Freitas/Desktop/Intranet/PHP/php5apache2.dll"

Depois eu indico a localização do php.ini no final do arquivo:

<IfModule php5_module>
	PHPIniDir "C:/Documents and Settings/Paulo Freitas/Desktop/Intranet/PHP"
</IfModule>
Espero que tenha lhe ajudado em algo. :rolleyes:

[]’s :D


Paulo,
já fiz das duas formas com barras invertidas e barras normais e o erro persiste.

Agora instalei a versão 2.0.58 do Apache que o Mauro indicou, mas continua com o mesmo erro.
Já estou sem idéias !!!

obrigado pela força

André

#9 tidytrax

tidytrax

    ::DEV

  • Usuários
  • 129 posts
  • Sexo:Masculino

Posted 09/05/2006, 19:52

Mesmo problema

Na hora de inicializar o apache le da erro

"The request operation has failed"

:(

Edição feita por: tidytrax, 09/05/2006, 20:32.


#10 Paulo Freitas

Paulo Freitas

    ××××××× LRU #456504 ××××××× ××××××× LRM #364686 ×××××××

  • Ex-Admins
  • 5612 posts
  • Sexo:Masculino
  • Localidade:Campinas - SP

Posted 10/05/2006, 01:08

Opa ... ;)

Hmm ... tava lendo seu post anterior e lembrei de uma coisa. Eu configurei o diretório do PHP na variável de ambiente PATH também. (y)

Pelo Windows:

Meu Computador / Propriedades / Avançado / Variáveis ambiente / Variáveis do Sistema
Pelo registro do sistema:

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Session Manager\Environment
Em meu caso usei %USERPROFILE%\Desktop\Intranet\PHP. ;)

[]’s :DAté mais

#11 ormenese

ormenese

    Novato no fórum

  • Usuários
  • 9 posts
  • Sexo:Não informado

Posted 10/05/2006, 11:12

Opa ... ;)

Hmm ... tava lendo seu post anterior e lembrei de uma coisa. Eu configurei o diretório do PHP na variável de ambiente PATH também. (y)

Pelo Windows:

Meu Computador / Propriedades / Avançado / Variáveis ambiente / Variáveis do Sistema
Pelo registro do sistema:

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Session Manager\Environment
Em meu caso usei %USERPROFILE%\Desktop\Intranet\PHP. ;)

[]’s :D


Coloquei a pasta do apache, apache\bin e php no path e nada !!!!!!!!!!!

#12 tidytrax

tidytrax

    ::DEV

  • Usuários
  • 129 posts
  • Sexo:Masculino

Posted 10/05/2006, 21:24

Opa ... ;)

Hmm ... tava lendo seu post anterior e lembrei de uma coisa. Eu configurei o diretório do PHP na variável de ambiente PATH também. (y)

Pelo Windows:

Meu Computador / Propriedades / Avançado / Variáveis ambiente / Variáveis do Sistema
Pelo registro do sistema:

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Session Manager\Environment
Em meu caso usei %USERPROFILE%\Desktop\Intranet\PHP. ;)

[]’s :D



Você instalou o Apache 2.2 o Executavel do windows ou Instalou aquele que tem no Apache Lounge?
Flw

:(

#13 Paulo Freitas

Paulo Freitas

    ××××××× LRU #456504 ××××××× ××××××× LRM #364686 ×××××××

  • Ex-Admins
  • 5612 posts
  • Sexo:Masculino
  • Localidade:Campinas - SP

Posted 11/05/2006, 01:27

Você instalou o Apache 2.2 o Executavel do windows ou Instalou aquele que tem no Apache Lounge?


À partir do Apache 2.1.x eu venho usando os executáveis do Apache Lounge, pois a AFS (Apache Foundation Software) não anda liberando ainda a versão executável para Windows destas versões. Além do mais, os releases da Apache Lounge já vem com OpenSSL e uns toques de Assembler embutido ... :rolleyes:

No momento estou usando a versão 2.2.2. :)

Como eu uso esta versão do Apache Lounge, tenho que usar também o apache2handler de lá, que nada mais é do que o arquivo php5apache2.dll. Este é o apache2handler. As versões do Apache Lounge só funciona se o apache2handler deles também for baixado e substituído pelo original. ;)

----------

@ ormenese

Tu está usando as versões oficiais ou da Apache Lounge ? :assobio:

E o erro, continua sendo o mesmo ?

Fiz um teste removendo o diretório PHP da variável ambiente PATH aqui. O apache2handler é carregado normalmente, apenas as extenções não são localizadas, mesmo elas estando no lugar referenciado pelo php.ini. Foi só reativar a variável ambiente e tudo voltou ao normal. :)

[]’s :DAté mais

#14 ormenese

ormenese

    Novato no fórum

  • Usuários
  • 9 posts
  • Sexo:Não informado

Posted 11/05/2006, 08:57

Estou usando a versão oficial, mas vou desinstalar tudo e reinstalar com esta versão Lounge ...

Por favor, me manda o link para baixar o Apache e o handler corretos !!!!

Obrigado

André

#15 Paulo Freitas

Paulo Freitas

    ××××××× LRU #456504 ××××××× ××××××× LRM #364686 ×××××××

  • Ex-Admins
  • 5612 posts
  • Sexo:Masculino
  • Localidade:Campinas - SP

Posted 11/05/2006, 14:19

Opa ... ;)

Eis eles:[]’s :DAté mais




0 user(s) are reading this topic

0 membro(s), 0 visitante(s) e 0 membros anônimo(s)

IPB Skin By Virteq